# Commands in /process/

## /process/

Process Table control commands.

## Sub-directories :

/process/eLoss/

  Commands for G4VEnergyLoss.

## Commands :

list [type]

  List up process names
  list [type]
  type: process type [all:for all proceeses]

  Available at all Geant4 states.

  Parameters

  type | type s | Omittable : default value = all | Parameter candidates : all NotDefined Transportation Electromagnetic Optical Hadronic Photolepton_hadron Decay General Parameterisation UserDefined

verbose [verbose]

  Set Verbose Level for Process Table
  verbose [level]
  level: verbose level

  Range : verbose >=0

  Available Geant4 state(s) : PreInit Init Idle GeomClosed EventProc

  Parameters

  verbose | type i | Omittable : default value = 1 |

setVerbose [verbose] [type]

  Set verbose level for processes
  setVerbose level [type or name]
  level: verbose level
  name : process name
  type : process type
  [all] for all proceeses

  Available Geant4 state(s) : Idle GeomClosed EventProc

  Parameters

  verbose | type i |  |
  type | type s | Omittable : default value = all |

dump [procName] [particle]

  Dump process information
  dump name [particle]
  name: process name or type name
  particle: particle name [all: for all particles]

  Available Geant4 state(s) : Init Idle GeomClosed EventProc

  Parameters

  procName | type s |  |
  particle | type s | Omittable : default value = all |

activate [procName] [particle]

  Activate processes
  Activate name [particle]
  name: process name or type name
  particle: particle name [all: for all particles]

  Available Geant4 state(s) : Idle GeomClosed EventProc

  Parameters

  procName | type s |  |
  particle | type s | Omittable : default value = all |

inactivate [procName] [particle]

  Inactivate process
  Inactivate processes
  Inactivate name [particle]
  name: process name or type name
  particle: particle name [all: for all particles]

  Available Geant4 state(s) : Idle GeomClosed EventProc

  Parameters

  procName | type s |  |
  particle | type s | Omittable : default value = all |